namespace Syntriax.Engine.Core.Abstract;

public interface ICamera2D : IBehaviour, IAssignableTransform
{
    float Zoom { get; set; }

    Vector2D ScreenToWorldPosition(Vector2D screenPosition);
    Vector2D WorldToScreenPosition(Vector2D worldPosition);
}
